





     DISP                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        disp,,<n1,n2,n3>
        disp,coor,idir,xi
        disp,list,n1
        disp,all
        disp,eigv,<n1,n2,n3>
     --------------------------------------------------------

     The macro command 'disp'  may  be  used  to  print  the
current values of the "displacement" vector as follows:

1.)  Using the macro command:

            disp,,n1,n2,n3

     prints out the current displacement  vector  for  nodes
     'n1'  to  'n2' at increments of 'n3' (default = 1).  If
     'n2' is not specified only the value of  node  'n1'  is
     output.   If  both 'n1' and 'n2' are not specified only
     the first nodal displacements is reported.

2.)  If the macro command is specified as:

            disp,coor,idir,xi

     prints all nodal quantities for the  coordinate  direc-
     tion 'idir' with value equal to 'xi'.
          Example:  disp,coor,1,3.5 will print all the nodal
                     displacements which have x-1 = 3.5.

     This is useful in finding the nodal values along a par-
     ticular constant coordinate line.

3.)  If the macro command is specified as:

            disp,list,n1

     all nodal quantities contained in  'list'  number  'n1'
     are  output (see macro command 'list' for specification
     of the list).
          Example:  disp,list,3 will print all the nodal displacements
                                which are in list number 3.

4.)  If the macro command is specified as:

            disp,all

     prints all nodal quantities.

5.)  If the macro command is specified as:

            disp,eigv,n1,n2,n3




                     November 27, 1991





                           - 2 -


     then the eigenvectors from 'n1' to 'n2' are reported at
     increments of 'n3' (default = 1).
       Note that it is not possible to print  certain  nodes
     in  each  eigenvector  - the entire vector is output to
     the screen/output file!

     In order to output a solution vector it is first neces-
sary  to  specify  macro  commands  to  compute  the desired
values: either normal solutions  for  a  static  or  dynamic
analysis, or the eigenvectors.















































                     November 27, 1991





                           - 3 -



























































                     November 27, 1991


