





     HIST                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        hist,<clab,n1,n2>
     --------------------------------------------------------

     The use of the 'hist' macro permits the user to keep  a
history  of  the  previously executed macro commands and use
this history to reexecute  specific  commands.   The  'hist'
macro  has  several different modes of use which permit easy
control of the execution  of  macro  commands  while  in  an
interactive  mode  (use is not recommended in a batch 'macr'
execution).  The following options are available:

     clab     n1    n2                Description
    -----------------------------------------------------------
     read                     Input the list of macro commands
                              which were 'saved' in a previous
                              execution.  Warning, this command
                              will destroy all items currently
                              in the 'history' list, hence it
                              should be the first command when
                              used.

     save                     Save the previous 'history' of
                              macro commands which have been
                              'added' to the 'history' list on
                              the file named 'Feap.hist'.

     add                      Add all subsequent macro commands
                              executed for the current analysis
                              to the 'history' list. (default)

     noad                     Do not add subsequent macro com-
                              mands executed to the 'history'
                              list.

     list      x     x        List the current 'history' of
                              macro statements. 'n1' to 'n2',
                              (default is all in list).

     edit      x     x        Delete items 'n1' to 'n2' from
                              current 'history' list.

     xxxx      x     x        Reexecute macro commands 'n1' to
                              'n2' in the current 'history' list.
                              (note: 'xxxx' may be anything not
                              defined above for 'clab' including
                              a blank field.

Use of the 'hist' option can greatly reduce  the  effort  in
interactive executions of 'macro' programs.  Since it is not
possible to name the file  which  stores  the  'history'  of
macro  commands,  it  is  necessary for the user to move any
files  needed  at  a  later  date  to  a  file  other   than



                     November 27, 1991





                           - 2 -


'Feap.hist'  before  starting  another  analysis for which a
'history' will be retained.  Prior to execution it is neces-
sary  to  restore  the  list  to  file  'Feap.hist' before a
'hist,read' command may be issued.

     Note that the 'history' of macro commands will  not  be
saved  in  'Feap.hist' unless a macro command 'hist,save' is
used.  It is, however, possible to  use  the  'hist'  option
without any 'read' or 'save' commands.
















































                     November 27, 1991





                           - 3 -



























































                     November 27, 1991


