





     OUTM                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        outm,<bina>
     --------------------------------------------------------

     The use of the 'outm' macro command  writes  an  output
file  which  contains  some  of the mesh data.  Two modes of
output are possible.  Using the 'outm' command  without  any
parameters outputs the data in text mode in a file which has
the same name as the  input  file  with  an  added  extender
'_opt'.   Filenames  (with  the  extender) are limited to 18
characters.  This format is useful if the mesh has been con-
structed  using  'tie',  'link' and/or profile optimizations
using the 'opti' command.  The output file contains: Coordi-
nates  (coor),  element  connections  (elem), boundary codes
(boun), and the forced values (forc).  In addition the  file
is set for an interactive mode of execution.

     The second mode of output is a binary  file  which  has
the  same  name  as  the  input  file with an added extender
'_bin' (18 character limit).  This mode  is  produced  using
the  'outm,bina'ry  command.  The file contains: Coordinates
(coor), element connections (elem), boundary  codes  (boun),
forced  values  (forc),  temperatures (temp), angles (angl),
and material data (mate).  The binary form of data  is  used
in FEAP by preparing an input file which has the form:

     binary,filename_bin

     <optional mesh data>

     end

     inte, macr, or batch
     stop


This form is useful when 'tie', 'link', and/or  'opti'  have
been  used.   It also may be used on very large models which
are time consuming to generate the input data.

















                       April 26, 1992


