





     SUBS                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        subs,<prin,n1,n2>
     --------------------------------------------------------

     The 'subs' macro command requests the solution of  'n1'
eigenpairs  of  a problem about the current state.  An addi-
tional 'n2' vectors are used  to  expand  the  subspace  and
improve convergence ('n1' plus 'n2' is set to the minimum of
the input values or 'n1' plus 8 or 2 times 'n1' or the  max-
imum number of eigenvalues in the problem.  The 'subs' macro
must be preceded by the specification of the tangent  stiff-
ness  array using a 'tang' command, and a mass array (either
a lumped mass by 'lmas' or a  consistent  mass  by  'cmas').
Note that the smallest 'n1' eigenvalues and eigenvectors are
computed with reference to the current "shift" specified  on
the  'tang'  command.   If 'n1' is larger than the number of
non-zero mass diagonals it is truncated to the actual number
that  exist.   Whenever  'n1' is close to the number of non-
zero mass diagonals one should compute the entire set  since
convergence  will be attained in one iteration (this applies
primarily to small problems).

     Use of the 'prin' option produces an output of all sub-
space  matrices in addition to the estimates on the recipro-
cals of the shifted eigenvalues.  For large problems consid-
erable output results from a use of this option, and thus it
is recommended for small problems only.

     All  eigenvalues  are  computed  until  two  subsequent
iterations  produce values which are accurate to the current
tolerance specified by a 'tol' macro command.   The  default
'tol' is 1.0d-9.
























                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


