


     BTEM                                    FEAP MESH USERS MANUAL
     --------------------------------------------------------------
          btem
          nodes,r-inc,s-inc,t-inc,node1,[r-skip]
          1, x1, t1
          2, x2, t2
          etc., until all 'nodes' records are input.
     --------------------------------------------------------------

     The "btem" data input segment is used to generate  tem-
peratures  on  a regular one, two or three dimensional patch
of nodes.   The  generated  temperatures  are  generated  by
interpolating  specified  nodal  temperatures using standard
isoparametric interpolation:

          T = N-I ( xi ) * T-I

where N-I (xi) are the shape functions, xi are  the  natural
coordinates, and T-I is the temperature at node-I.

     For two dimensions,  the  patch  of  nodes  defined  by
"btem"  is  developed from a master element which is defined
by an isoparametric 4-9 node mapping function  in  terms  of
the  natural  coordinates  "r" and "s".  The node numbers on
the master element of  each  patch  defined  by  "bloc"  are
specified  according to Fig. 24.25 on page 748 of THE FINITE
ELEMENT METHOD, 3RD. ED., by O. C.  Zienkiewicz.   The  four
corner  nodes  of  the master element must be specified, the
mid-point and central node are optional.  For this case  "t-
inc" is set to 0.

     For three dimensions the patch is an  8-27  node  brick
where the first 8-nodes are at the corners and the remaining
nodes are mid-edge, mid-face, and interior nodes.  The first
8-nodes must be specified.

     The data parameters are defined as:

nodes-  number of master nodes needed to define the patch.

r-inc-  number of nodal increments to be generated along  r-
     direction of the patch.

s-inc-  number of nodal increments to be generated along  s-
     direction of the patch.

t-inc-  number of nodal increments to be generated along  t-
     direction of the patch (default = 0).

node1-  number  to  be  assigned  to  first  node  in  patch
     (default  = 1).  First node is located at same location
     as master node 1.  Last node is node1 - 1 + (r-inc + 1)
     * (s-inc + 1) * (t-inc + 1)





     





    


r-skip-  number of nodes to skip between end  of  an  r-line
     and  start  of next r-line (may be used to interconnect
     blocks side-by-side) (default = 1)






















































                     September 4, 1991





                           - 3 -



























































                     September 4, 1991


