





     ELEM                                    FEAP MESH USERS MANUAL
     --------------------------------------------------------------
        elem
        nelm1, matl1, (ix(i,nelm1),i=1,nen),ngen1
        nelm2, matl2, (ix(i,nelm2),i=1,nen),ngen2
        <etc., terminate with blank record, or when elem2 = numel>
     --------------------------------------------------------------

     The 'elem' command is used to  specify  the  values  of
nodal  numbers which are attached to each element.  For each
element to be specified, a record is entered with  the  fol-
lowing information:

        nelm       --        the number of the element to be specified
        matl       --        the material number for the element,
                             this will determine the element type.
        ix(1,nelm) --        node-1 number attached to element.
        ix(2,nelm) --        node-2 number attached to element.
          etc., to 'nen' nodes.
        ngen       --        value to increment each node-i value
                             when generation is used (default = 1).

     When  generation  is  performed,  the  element   number
sequence will be in increments of 1 from 'nelm1' to 'nelm2';
the nodes which are generated for each intermediate  element
will be as follows:

        ix(i,nelm1+1) = ix(i,nelm1) + ngen1

        except

        ix(i,nelm1+1) = 0  whenever ix(i,nelm1) = 0

The program will assume that any zero value of an ix(i,nelm)
indicates that no node is attached at that point.

     It is not necessary to input the last  element  number.
A  blank  record will cause the program to generate elements
up to 'numel' using the node increment specified on the last
input record.

















                     September 4, 1991





                           - 2 -



























































                     September 4, 1991


