





     FORM                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        form,<acel>
     --------------------------------------------------------

     The 'form' macro computes the residual for the  current
time and iteration of a solution.  FEAP is a fully nonlinear
program and computes a residual for each  solution  by  sub-
tracting  from  any applied loads the force computed for the
stresses in each element, called the "stress divergence"  or
"internal  force"  term,  and  if the problem is dynamic the
inertia forces.

     At the end of each computation FEAP reports  the  value
of  the  current  residual  in  terms of the Euclidean norm,
which is the square root of the sum of squares of each  com-
ponent of force.

     If the 'acel' is present an acceleration is computed by
solving the equation:

         M a = Residual

where 'M' is a consistent mass (e.g., 'cmas')  or  a  lumped
mass  ('lmas') which must be available before the specifica-
tion of the 'form' command.  This option may be used to com-
pute  consistent  accelerations  for  starting  a  transient
analysis using the Newmark integration  algorithm  when  the
initial force or the initial displacements are specified.




























                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


