





     STRE                     FEAP MACRO COMMAND USERS MANUAL
     --------------------------------------------------------
        stre,,<n1,n2,n3>
        stre,all
        stre,<node,n1,n2,n3>
        stre,coor,idir,xi
     --------------------------------------------------------

     The 'stre' macro  command  is  used  to  output  stress
results  in  elements  'n1'  to  'n2'  at increments of 'n2'
(default = 1), or at nodes using "projected" values.   Thus,
two options exist for reporting stress values. These are:

1.)  Stresses may be reported at selected points within each
     element.  The specific values reported are described in
     each element type.  In general elements  report  values
     at gauss points.  The values at all points are reported
     when the command 'stre,all' is used.

2.)  For 2-dimensional solid elements  (those  using  a  two
     dimensional  mesh)  results  may  be  reported at nodes
     using the  'stre,node'  option.   A  projection  method
     using  stresses  at  points  in each element is used to
     compute nodal values.  In general, nodal values are not
     always  as  accurate as stresses within elements.  This
     is especially true for reported 'yield' stresses  where
     values  in excess of the limit value result in the pro-
     jection method employed.  For a mesh producing accurate
     results  inside elements this degradation should not be
     significant.

3.)  If the macro command is specified as:

            stre,coor,idir,xi

     prints all nodal stresses for the coordinate  direction
     'idir' with value equal to 'xi'.
          Example:  stre,coor,1,3.5 will print all the nodal
                    stresses which have x-1 = 3.5.

     This is useful in finding the nodal values along a par-
     ticular constant coordinate line.

     For specific values  reported  in  each  element  enter
'elmtnn'  where  'nn'  is  a  number  describing the element
wanted (must be between 01 and 10).  Note that  manuals  may
not be available for all types in this range.










                     November 27, 1991





                           - 2 -



























































                     November 27, 1991


