





     FEAP                                   FEAP MESH USERS MANUAL
     -------------------------------------------------------------
        feap [ title of problem for printouts, etc.]
        numnp,numel,nummat,ndm,ndf,nen,nad,ndd
     -------------------------------------------------------------

     Each problem to be solved by FEAP must start with a single record
which  contains  the  characters  'feap'  (without the ') as the first
entry; the remainder of the record  (columns  5-80)  may  be  used  to
specify  a  problem title.  The title will be printed with each "page"
of output as the first line.

     Immediately following the 'feap' record, the  'control'  informa-
tion  describing  characteristics  of the problem to be solved must be
given. The 'control' information describes the characteristics of  the
finite element problem to be solved.  The data entries are:

     numnp   -  total number of nodal points in the problem.
     numel   -  total number of elements in the problem.
     nummat  -  number of material property sets in the problem.
     ndm     -  number of spatial coordinates needed to define mesh.
     ndf     -  maximum number of degrees-of-freedom on any node.
     nen     -  maximum number of nodes on any element.
     nad     -  increases size of element arrays to ndf*nen + nad
     ndd     -  maximum number of parameters for element properties
                (default 18)

     The number of spatial coordinates needed  to  define  the  finite
element  mesh  (ndm)  must  be  1,  2,  or  3.   The maximum number of
degrees-of-freedom on any node must be between 1 and 6.   The  maximum
number  of  the  other  quantities  is limited only by the size of the
dynamically dimensioned array used to store all the data and  solution
parameters.   This  is generally quite large and, normally, should not
be exceeded.  If the error message that memory is exceeded appears the
data  should  be checked to make sure that no errors exist which could
cause large amounts of memory to solve the problem (e.g., if the error
occurs  when  the  'tang', 'utan', or 'cmas' solution macro statements
are encountered, the profile of the matrix should be checked for  very
large  column  heights   --   appropriate  renumbering of the mesh can
often significantly reduce the storage required).  If  necessary,  the
main  subprogram  --  'program  feap'  can be recompiled with a larger
dimension for the array m(*) in blank common.





















                           - 2 -






























































