


     BOUN                                    FEAP MESH USERS MANUAL
     --------------------------------------------------------------
        boun
        node1, ngen1, (id(i,node1),i=1,ndf)
        node2, ngen2, (id(i,node2),i=1,ndf)
        <etc., terminate with blank record>
     --------------------------------------------------------------

     The 'boun' command is used to specify  the  values  for
the  boundary  restraint  conditions.   For  each node to be
specified a record is entered with  the  following  informa-
tion:

        node       --        the number of the node to be specified
        ngen       --        the increment to the next node, if
                             generation is used, otherwise 0.
        id(1,node) --        value of boundary restraint for 1-dof
                             for 'node'
        id(2,node) --        value of boundary restraint for 2-dof
                             for 'node'
          etc., to 'ndf' directions

     The boundary restraint codes are interpretted  as  fol-
lows:

        id(i,node)  =  0     i-dof has unknown displacement, f(i,node)
                             will be an applied load.
        id(i,node) not 0     i-dof has known displacement, f(i,node)
                             is the displacement value (default = 0.).

     When generation is performed, the node number  sequence
will be (for node1-node2 sequence shown above):

        node1, node1+ngen1, node1+2*ngen1, .... , node2

The values for each boundary restraint will be as follows:

         id(i,node1) = 0 or positive  --> id(i,node1+ngen1) =  0
         id(i,node1) = negative       --> id(i,node1+ngen1) = -1

With this convention the  value  of  'id(i,node2)'  will  be
negative  whenever the value of id(i,node1) starts negative.
Accordingly, it is necessary to assign a positive value  for
the restraint code to terminate a generation sequence (e.g.,
when it is no longer desired to set a dof to be restrained).
Alternatively, an 'i-dof' may be eliminated for all nodes by
using the generation sequence:

            degree of freedom
       node   1 2 . i . ndf
      -----------------------
          1,1,....,-1,....
      numnp,0,....,+1,....













Subsequent records may then be used to assign the values  to
the other degree-of-freedoms.























































                     September 4, 1991





                           - 3 -



























































                     September 4, 1991


