





     CONS                                    FEAP MESH USERS MANUAL
     --------------------------------------------------------------
        cons
     --------------------------------------------------------------

     The use of the 'cons' macro  command  may  be  used  to
assign  values  to letter parameters.  Letter parameters are
currently used only with some  elements  to  input  material
property  data.   A  letter parameter is defined immediately
following the 'cons' macro (several may  follow  terminating
with a blank record) according to the following:

     x= expression


where 'x' may be any of the single letters (a-z) and must be
in  column  1  and  followed  immediately (no blanks) by the
equal sign.  The  expression  may  be  any  set  of  numbers
(floating  point  numbers  must  contain  an  'e'  or  a 'd'
exponent format so they will not be interpretted  as  letter
constants!)  or  letter  constants  together with any of the
arithmetic operations '+', '-', '*', or '/'.  The expression
is processed left to right and cannot contain parenthesis to
force groupings.   An example is

     a= 3.
     b= 14/3.45
     c= a + 3.23/b
     c= f + 1.03e-04*a/b


In interactive mode of execution, the current  set  of  con-
stants  may be output by entering 'list' while in 'cons'tant
input mode.  After listing input of additional constants may
be  continued.  It is possible to use expressions containing
the constant parameters in any input  mode  which  uses  the
utility  input  routine 'dinput'.  Users who write their own
programs should try to  use  this  routine  to  perform  all
inputs  -  'dinput' will input from either the input file or
from the keyboard, depending on which is  the  active  input
unit.
















                     September 4, 1991





                           - 2 -



























































                     September 4, 1991


