





     SETN                                  FEAP MESH USERS MANUAL

8     ____________________________________________________________
     setn
     node1, ngen1, (x(i,node1),i=1,ndm)
     node2, ngen2, (x(i,node2),i=1,ndm)
     <etc, terminate with blank record>
8     ____________________________________________________________



     The 'setn' command is used to specify the values  for  nodal
coordinates of the top-surface of a shell problem. The command is
modeled after the coor command, and the input takes the following
form.  For each node to be specified a record is entered with the
following information:

        node       --        number of the node to be specified
        ngen       --        the increment to the next node, if
                             generation is used, otherwise 0.
        x(1,node)  --        value of coordinate in 1-direction
                             for 'node'
        x(2,node)  --        value of coordinate in 2-direction
                             for 'node'
          etc., to 'ndm' directions

     When generation is performed, the node number sequence  will
be (for node1-node2 sequence shown above):

        node1, node1+ngen1, node1+2*ngen1, .... , node2

The values for each coordinate will  be  a  linear  interpolation
between 'node1' and 'node2'.

     At the end of mesh macro execution, FEAP will use the  coor-
dinates  of the top-surface mesh and the mid-surface mesh to com-
pute the nodal directors and a corresponding rotational transfor-
mation  matrix.   If the top-surface nodes coincide with the mid-
surface nodes, the directors are defaulted to E3 = (0,0,1).



















                        May 7, 1990





SETN                       - 2 -      FEAP MESH USERS MANUAL



























































                        May 7, 1990


